<?php 
/*
 * All themes functions
 *
 */

 
/*
 * business featured image
 *
 */
if ( ! function_exists( 'business_a_post_thumbnail' ) ) :
function business_a_post_thumbnail() {
$business_obj = new business_a_settings_array();
$option = wp_parse_args(  get_option( 'business_option', array() ), $business_obj->default_data() );
	
	if($option['blog_feature_image_enable']==true):

		if ( post_password_required() || is_attachment() || ! has_post_thumbnail() ) {
			return;
		}

		if ( is_singular() ) :
		?>
			<?php if( has_post_thumbnail() ){ ?>
			<div class="rdn-featured-image">
				<?php the_post_thumbnail(); ?>
			</div>
			<?php } ?>
			
		<?php
			 
		else : ?>
		
		<?php if( has_post_thumbnail() ){ ?>
		<div class="rdn-featured-image">
			<a href="<?php the_permalink(); ?>" class="post-thumbnail">
				<?php the_post_thumbnail(); ?>
			</a>
		</div>
		<?php } ?>

		<?php endif; // End is_singular()
		
	endif;
}
endif;

/*
 * business meta
 *
 */
if ( ! function_exists( 'business_a_post_meta' ) ) :
function business_a_post_meta(){
$business_obj = new business_a_settings_array();
$option = wp_parse_args(  get_option( 'business_option', array() ), $business_obj->default_data() );
	
	if($option['blog_meta_enable']==true):
	?>
	<div class="entry-meta">
		<span class="author"><a href="<?php echo esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) );?>"><?php _e('Posted by: ','business-a' ); echo get_the_author_link();?></a></span>
		<span class="entry-date">
			<a href="<?php echo esc_url( get_month_link( get_post_time('Y') ,get_post_time('m') ) ); ?>">
				<?php _e('Posted on: ','business-a' ); echo esc_attr( get_the_date( get_option('date_format') ) ); ?>
			</a>
		</span>
		<?php the_tags( '<span class="tag-links">', ' , ', '</span>' ); ?>
	</div>
	<?php
	endif;
}
endif;


/**
 * Sets the content width in pixels.
 *
 * @global int $content_width
 */
function business_a_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'business_a_content_width', 728 );
}
add_action( 'after_setup_theme', 'business_a_content_width', 0 );

add_filter('get_avatar','business_a_gravatar_class');
function business_a_gravatar_class($class) {
    $class = str_replace("class='avatar", "class='img-circle", $class);
    return $class;
}

if ( ! function_exists( 'business_a_author_detail' ) ) :
function business_a_author_detail(){
?>
<section class="blog-author">
	<div class="media">
		<div class="pull-left">
			<?php echo get_avatar( get_the_author_meta( 'ID') , 103); ?>
		</div>
		<div class="media-body">
			<h3 class="author-title"><?php the_author(); ?></h3>
			<p><?php the_author_meta( 'description' ); ?></p>
		</div>
	</div>
</section>
<?php 
}
endif;


if ( ! function_exists( 'business_a_the_custom_logo' ) ) :
/**
 * Displays the optional custom logo.
 *
 */
function business_a_the_custom_logo() {
	the_custom_logo();
}
endif;