<?php 
/*
 * Business Sidebar Registers
 */
 add_action('widgets_init','business_a_sidebar_function');
 function business_a_sidebar_function(){
	 
	$business_obj = new business_a_settings_array();
	$option = wp_parse_args(  get_option( 'business_option', array() ), $business_obj->default_data() );
	$contact_col = 12 / $option['contact_section_column'];
	
	register_sidebar( array(
	'name' => __( 'Primary Sidebar', 'business-a' ),
	'id' => 'sidebar-primary',
	'description' => __( 'The primary widget area', 'business-a' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget'  => '</aside>',
	'before_title'  => '<h3 class="widget-title">',
	'after_title'   => '</h3>',
	) );
	
	register_sidebar( array(
	'name' => __( 'Home Page Service Contents', 'business-a' ),
	'id' => 'sidebar-service',
	'description' => __( 'Drag service widget to show your services in home page.', 'business-a' ),
	'before_widget' => '<div id="%1$s" class="col-md-4 col-sm-6 widget %2$s">',
	'after_widget'  => '</div>',
	'before_title'  => '<h3 class="rdn-service-title">',
	'after_title'   => '</h3>',
	) );
	
	register_sidebar( array(
	'name' => __( 'Home Page Contact Sidebar', 'business-a' ),
	'id' => 'homepage-contact',
	'description' => __( 'Drag contact widget to show contact informations.', 'business-a' ),
	'before_widget' => '<div class="col-md-'.$contact_col.' col-sm-6" ><div id="%1$s" class="widget %2$s">',
	'after_widget'  => '</div></div>',
	'before_title'  => '<h3 class="widget-title">',
	'after_title'   => '</h3>',
	) );
	
	register_sidebar( array(
	'name' => __( 'Footer Sidebar 1', 'business-a' ),
	'id' => 'footer-1',
	'description' => __( 'The footer sidebar widget area 1', 'business-a' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget'  => '</aside>',
	'before_title'  => '<h3 class="widget-title">',
	'after_title'   => '</h3>',
	) );
	
	register_sidebar( array(
	'name' => __( 'Footer Sidebar 2', 'business-a' ),
	'id' => 'footer-2',
	'description' => __( 'The footer sidebar widget area 2', 'business-a' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget'  => '</aside>',
	'before_title'  => '<h3 class="widget-title">',
	'after_title'   => '</h3>',
	) );
	
	register_sidebar( array(
	'name' => __( 'Footer Sidebar 3', 'business-a' ),
	'id' => 'footer-3',
	'description' => __( 'The footer sidebar widget area 3', 'business-a' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget'  => '</aside>',
	'before_title'  => '<h3 class="widget-title">',
	'after_title'   => '</h3>',
	) );
	
	register_sidebar( array(
	'name' => __( 'Footer Sidebar 4', 'business-a' ),
	'id' => 'footer-4',
	'description' => __( 'The footer sidebar widget area 4', 'business-a' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget'  => '</aside>',
	'before_title'  => '<h3 class="widget-title">',
	'after_title'   => '</h3>',
	) );
	
	register_sidebar( array(
	'name' => __( 'Woocommerce Sidebar', 'business-a' ),
	'id' => 'sidebar-woocommerce',
	'description' => __( 'Woocommerce widget area', 'business-a' ),
	'before_widget' => '<aside id="%1$s" class="widget %2$s">',
	'after_widget'  => '</aside>',
	'before_title'  => '<h3 class="widget-title">',
	'after_title'   => '</h3>',
	) );
 }